Subject: Re: [PATCH RFC v3 18/18] builtin/history: implement "reword" subcommand

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 15 Sep 2025 11:32:33 +0200

On Wed, Sep 10, 2025 at 03:05:04PM +0100, Phillip Wood wrote:
> On 04/09/2025 15:27, Patrick Steinhardt wrote:
> > Implement a new "reword" subcommand for git-history(1). This subcommand
> > is essentially the same as if a user performed an interactive rebase
> > with a single commit changed to use the "reword" verb.
> 
> The sequencer already knows how to reword a commit, it would be much simpler
> to reuse that code.

I'll drop the second half of this patch series for now to reduce the
scope of this series a bit. But once I send the second half I'll have a
look at whether this can be simplified.

Patrick